#ifndef __AESCRYPT_H__
#define __AESCRYPT_H__

#include "aes.h"
#include "sha256.h"

typedef unsigned char u8;
typedef u8    sha256_t[32];

typedef struct
{
  char          aes[3];
  u8            version;
  u8            last_block_size;
} aescrypt_hdr;

#ifdef MINGW
extern HCRYPTPROV random;
#else
extern FILE  *random;
#endif

/* aescrypt.c */
int encrypt_mem(u8 *inp, u8 *end, u8 *outp, char *passwd);
int decrypt_mem(u8 *inp, u8 *end, u8 *outp, char *passwd);

#endif				// __AESCRYPT_H__
